NEXTTOWARD(3)

NAME
nexttoward

SYNOPSIS
#include <math.h>
double
nexttoward(double x, long double y);
long double
nexttowardl(long double x, long double y);
float
nexttoward(float x, long double y);

DESCRIPTION
The nexttoward() functions return the next machine representable number from x in direction of y. It is identical to nextafter() except that the second parameter has type long double, and the function returns y converted to the type of the function if x and y are equal.

SPECIAL VALUES
nexttoward(x, y) raises the "overflow" and "inexact" floating-point exceptions for x finite and the function value infinite.

nexttoward(x, y) raises the "underflow" and "inexact" floating-point exceptions for the function value subnormal or zero and x not equal to y.

SEE ALSO
nextafter(3) math(3)

STANDARDS
The nexttoward() functions conform to ISO/IEC 9899:2011.